Loading...
Searching...
No Matches
casacore::TableExprGroupSumDouble Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Aggregate class determining the sum of double values in a group. More...

`#include <ExprGroupAggrFunc.h>`

## Public Member Functions

| TableExprGroupSumDouble (TableExprNodeRep *node)
virtual | ~TableExprGroupSumDouble ()
virtual void | apply (const TableExprId &id)
| Get the operand's value for the given row and apply it to the aggregation.
Public Member Functions inherited from casacore::TableExprGroupFuncDouble
| TableExprGroupFuncDouble (TableExprNodeRep *node, Double initValue=0)
virtual | ~TableExprGroupFuncDouble ()
virtual Double | getDouble (const vector< TableExprId > &)
Public Member Functions inherited from casacore::TableExprGroupFuncBase
| TableExprGroupFuncBase (TableExprNodeRep *node)
| Construct from the TaQL aggregation node.
virtual | ~TableExprGroupFuncBase ()
| TableExprGroupFuncBase (const TableExprGroupFuncBase &)=delete
| Copying is not needed, thus not allowed.
TableExprGroupFuncBase & | operator= (const TableExprGroupFuncBase &)=delete
virtual Bool | isLazy () const
| Does the aggregate function use lazy semantics?
uInt | seqnr () const
| Get the function's sequence nr.
void | setSeqnr (uInt seqnr)
| Set the function's sequence nr.
virtual void | finish ()
| If needed, finish the aggregation.
virtual std::shared_ptr< vector< TableExprId > > | getIds () const
| Get the assembled TableExprIds of a group.
virtual Bool | getBool (const vector< TableExprId > &=vector< TableExprId >())
| Get the aggregated value.
virtual Int64 | getInt (const vector< TableExprId > &=vector< TableExprId >())
virtual DComplex | getDComplex (const vector< TableExprId > &=vector< TableExprId >())
virtual MVTime | getDate (const vector< TableExprId > &=vector< TableExprId >())
virtual String | getString (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Bool > | getArrayBool (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Int64 > | getArrayInt (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Double > | getArrayDouble (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< DComplex > | getArrayDComplex (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< MVTime > | getArrayDate (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< String > | getArrayString (const vector< TableExprId > &=vector< TableExprId >())

## Additional Inherited Members

Protected Attributes inherited from casacore::TableExprGroupFuncDouble
Double | itsValue
Protected Attributes inherited from casacore::TableExprGroupFuncBase
TableExprNodeRep * | itsNode
TableExprNodeRep * | itsOperand
uInt | itsSeqnr

## Detailed Description

Aggregate class determining the sum of double values in a group.

### Intended use:

Internal

### Review Status

Test programs:
  tExprGroup

### Synopsis

Aggregate class determining the sum of double values in a group.

Definition at line 277 of file ExprGroupAggrFunc.h.

## Constructor & Destructor Documentation

## TableExprGroupSumDouble()

casacore::TableExprGroupSumDouble::TableExprGroupSumDouble | ( | TableExprNodeRep * | node | ) |

explicit

## ~TableExprGroupSumDouble()

virtual casacore::TableExprGroupSumDouble::~TableExprGroupSumDouble | ( |  | ) |

virtual

## Member Function Documentation

## apply()

virtual void casacore::TableExprGroupSumDouble::apply | ( | const TableExprId & | id | ) |

virtual

Get the operand's value for the given row and apply it to the aggregation.

This function should not be called for lazy classes.

Implements casacore::TableExprGroupFuncBase.

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroupAggrFunc.h